Skip to main content

Topic: lame3100m - a constraint vbr variant (Read 9609 times) previous topic - next topic

0 Members and 1 Guest are viewing this topic.
  • halb27
  • [*][*][*][*][*]
lame3100m - a constraint vbr variant
There was a bug in 3100l when it was called without options (or with option '--longhelp' or similar), that is when it was not about real encoding.
Lame3100m is a bug fix for this.

There are also some minor tweaks, the most important of which is giving no accuracy bias any more to loud spots in the music.
It is not expected however that these changes produce essential audible differences compared to version 3100l.

Lame3100m can be downloaded from here.
  • Last Edit: 17 November, 2013, 05:43:36 AM by halb27
lame3995o -Q1

  • LedHed8
  • [*][*]
lame3100m - a constraint vbr variant
Reply #1
Thanks for the continued development halb27.  I've been unable to get the --frameAnalysis command to work while encoding with foobar.  Does anyone have any ideas as to what I might be doing wrong?  Am I missing an additional foo component?  The encodings are fine when I add the command, but I am not getting any analytical outputs.  I've placed the command before and after the Vx quality parameter with no result.  Thank you in advance for the help.  LedHed8

  • goa pride
  • [*][*]
lame3100m - a constraint vbr variant
Reply #2
Thanks for the continued development halb27.  I've been unable to get the --frameAnalysis command to work while encoding with foobar.  Does anyone have any ideas as to what I might be doing wrong?  Am I missing an additional foo component?  The encodings are fine when I add the command, but I am not getting any analytical outputs.  I've placed the command before and after the Vx quality parameter with no result.  Thank you in advance for the help.  LedHed8

where is lame_enc.dll ?
Lame 3100a [32bit and 64bit]                          https://bit.ly/1VPTGbO
WinMP3Packer all-in-one [32bit and 64bit]     https://bit.ly/1PAtMS1
MP3Suite.bat customizable [64bit encoders]   http://bit.ly/2bLIU77

  • LedHed8
  • [*][*]
lame3100m - a constraint vbr variant
Reply #3
It's located in a separate codecs folder.  Let me guess?  I need to put it inside the foobar folder?

  • lvqcl
  • [*][*][*][*][*]
  • Developer
lame3100m - a constraint vbr variant
Reply #4
foobar2000 doesn't use lame_enc.dll. And AFAIK it simply ignores everything that an encoder prints to stdout.

  • LedHed8
  • [*][*]
lame3100m - a constraint vbr variant
Reply #5
Doh!  That's right.  Forget that foobar grabs lame.exe.  Thanks for the help lvqcl and goa pride!

  • halb27
  • [*][*][*][*][*]
lame3100m - a constraint vbr variant
Reply #6
--frameAnalysis requires lame3100m to be invoked from the cmd prompt.
lame3995o -Q1

  • LedHed8
  • [*][*]
lame3100m - a constraint vbr variant
Reply #7
Thank you halb27.

  • o-l-a-v
  • [*][*][*]
lame3100m - a constraint vbr variant
Reply #8
Hi! Sorry for bumping up an old thread. But I can't seem to get the encoder to work together with foobar.
"-S --noreplaygain -V0 - %d" works.
"-S --noreplaygain -V0+ - %d" does not. Why?
Conversion failed: The encoder has terminated prematurely with code 1 (0x00000001); please re-check parameters

I'm going to upload some mp3's to deezer, so I was thinking: Why not get as good quality as possible? Deezer streams 320kbps mp3 anyways. Although I probably don't hear any difference at V3

Edit: Ok, found out that Vn+ has been fased out. Instead this should work:
-S --noreplaygain -V0 --cbvr 0 - %d
But it does still gives me error.

Edit2. Derp. Found it all out..
-S --noreplaygain -V0 --cvbr 0 - %d.. not -S --noreplaygain -V0 --cbvr 0 - %d  All good!
  • Last Edit: 08 April, 2015, 02:42:15 PM by o-l-a-v

  • polemon
  • [*][*][*]
lame3100m - a constraint vbr variant
Reply #9
I still find it very difficult to find the latest development trunk of LAME. The SF site goes only up to version 3.99.5.
I don't even remember where I've downloaded the 3.100a2 sources from. Why are they so difficult to find?

There are a few git repos, mirroring what's on the SF site, but no development trunk, either.

Is there a reason why this is, or am I doing something wrong?
-EOF-

  • saratoga
  • [*][*][*][*][*]
lame3100m - a constraint vbr variant
Reply #10
I still find it very difficult to find the latest development trunk of LAME. The SF site goes only up to version 3.99.5.


I assume you're referring to the download page?  You can get the latest code by clicking on the "Code" page instead:

http://sourceforge.net/p/lame/code/

Alternatively, there are mirrors on github if you prefer using git to cvs. 

  • polemon
  • [*][*][*]
lame3100m - a constraint vbr variant
Reply #11
I still find it very difficult to find the latest development trunk of LAME. The SF site goes only up to version 3.99.5.


I assume you're referring to the download page?  You can get the latest code by clicking on the "Code" page instead:

http://sourceforge.net/p/lame/code/

Alternatively, there are mirrors on github if you prefer using git to cvs.

I've recently found an older post of mine, where I asked pretty much the same thing, someone suggested me http://lame.cvs.sourceforge.net/viewvc/lame/lame/ and then the link to download it as a Tarball at the bottom.

Turns out, the last few days, SF was down, or at least the code repos were unavailable.

In recent years, SF became increasingly difficult to use. I find github much more intuitive, and easier to use, but that just might be me. I try to avoid SF as much as possible by now...

Which of the git mirrors would you suggest?
-EOF-